Subject: bug#16975: 24.3.50; redisplay--update-region-highlight: (wrong-type-argument number-or-marker-p nil)

From: Drew Adams <[email-masked]>
Date: Tue, 11 Mar 2014 10:24:40 -0700 (PDT)

> I installed the patch below, which fixes problems that can cause
> the above.  Of course, those problems may come from elsewhere as well,
> so please try it out and tell me if you still bump into the problem with
> this patch applied.

Thanks for working on this.  I have seen this only once.  I doubt that
I will see it again, with or without your patch.  IOW, if I don't see
it again we will not know whether that might have been the case even
without your patch.

I suggest that you just apply your patch to the product now, if it
seems reasonable to you.  Someone can file a new bug report if it
turns out that the patch either does not solve this problem or
introduces new problems.